Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.impl.dv
Class DTDDVFactory

    java.lang.Object
      weblogic.apache.xerces.impl.dv.DTDDVFactory

Deprecated. please use JDK supplied XML parsers and transformers

public abstract class DTDDVFactory
extends Object

The factory to create and return DTD types. The implementation should store the created datatypes in static data, so that they can be shared by multiple parser instance, and multiple threads.

Constructor Summary
`protected` | `DTDDVFactory()` Deprecated.

Method Summary
`abstract DatatypeValidator` | `getBuiltInDV(String name)` Deprecated. return a dtd type of the given name
`abstract Hashtable` | `getBuiltInTypes()` Deprecated. get all built-in DVs, which are stored in a hashtable keyed by the name
`static DTDDVFactory` | `getInstance()` Deprecated. Get an instance of the default DTDDVFactory implementation.
`static DTDDVFactory` | `getInstance(String factoryClass)` Deprecated. Get an instance of DTDDVFactory implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DTDDVFactory

    protected DTDDVFactory()

  Deprecated.

Method Detail

### getBuiltInDV

    public abstract DatatypeValidator getBuiltInDV(String name)

  Deprecated.
  return a dtd type of the given name

  Parameters:
    `name` - the name of the datatype
  Returns:
    the datatype validator of the given name

### getBuiltInTypes

    public abstract Hashtable getBuiltInTypes()

  Deprecated.
  get all built-in DVs, which are stored in a hashtable keyed by the name

  Returns:
    a hashtable which contains all datatypes

### getInstance

    public static final DTDDVFactory getInstance()
                                          throws DVFactoryException

  Deprecated.
  Get an instance of the default DTDDVFactory implementation.

  Returns:
    an instance of DTDDVFactory implementation
  Throws:
    `DVFactoryException` - cannot create an instance of the specified class name or the default class name

### getInstance

    public static final DTDDVFactory getInstance(String factoryClass)
                                          throws DVFactoryException

  Deprecated.
  Get an instance of DTDDVFactory implementation.

  Parameters:
    `factoryClass` - name of the implementation to load.
  Returns:
    an instance of DTDDVFactory implementation
  Throws:
    `DVFactoryException` - cannot create an instance of the specified class name or the default class name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD